%global gnulib_ver 20140202

Summary: A pipeline manipulation library
Name: libpipeline
Version: 1.5.2
Release: 1
License: GPLv3+
URL: http://libpipeline.nongnu.org/
Source: http://download.savannah.gnu.org/releases/libpipeline/libpipeline-%{version}.tar.gz

BuildRequires: gcc libtool, check-devel

Provides: bundled(gnulib) = %{gnulib_ver}

%description
libpipeline is a C library for manipulating pipelines of subprocesses
in a flexible and convenient way. This allows you to create pipelines
such as fork and execve easily and safely.

%package devel
Summary: Development package for %{name}
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
Files for development with %{name}.

%package_help

%prep
%autosetup

%build
%{configure}
%make_build

%check
make check

%install
%make_install
%delete_la

%files
%license COPYING
%doc README ChangeLog NEWS
%{_libdir}/libpipeline.so.*

%files devel
%{_libdir}/libpipeline.so
%{_libdir}/pkgconfig/libpipeline.pc
%{_includedir}/*.h

%files help
%{_mandir}/man3/*

%changelog
* Sat Aug 1 2020 zhangguangzhi<zhangguangzhi3@huawei.com> - 1.5.2-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:update version to 1.5.2

* Thu Sep 5 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.5.0-6
- Package init
